

!include ../control/borlandc.ctl


!if $(YACLPLATFORM) == WINDOWS || $(YACLPLATFORM) == WIN32
DOALSO = dialog2 mdi print resource
!elif $(YACLPLATFORM) == OS2
DOALSO = print
!endif

!if $d(USE_YACL_DLL)
USEDLL = -DUSE_YACL_DLL
!endif


DEMO1 = 3dlabels aclock animate bigstrvw bitmap0 bmpbtns borders
DEMO2 = calc calendar clock color combobox cursor dialog0 dialog1
DEMO3 = dyndlg editors environ font graphic1 graphic2 graphic3 hello1 hello2
DEMO4 = hello3 hit_test menu0 menu1 menu_dbl popmenu popmenu1 scroll scrolwin
DEMO5 = sharemdl stddlg textedit track txteditr visobjs wait window $(DOALSO) 

all: $(DEMO1) $(DEMO2) $(DEMO3) $(DEMO4) $(DEMO5)
   
   
runtests:
    for %f in ( $(DEMO1) ) do cd %f & %f & cd ..
    for %f in ( $(DEMO2) ) do %f\%f
    for %f in ( $(DEMO3) ) do %f\%f
    for %f in ( $(DEMO4) ) do %f\%f
    for %f in ( $(DEMO5) ) do %f\%f
    
3dlabels:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   

aclock:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   
animate:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   

bigstrvw:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   

bitmap0:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   

bmpbtns:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   

borders:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   

calc:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

calendar:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

clock:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

color:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  
combobox:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

cursor:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   

dialog0:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

dialog1:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

dialog2:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

dyndlg:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

editors:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

environ:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

font:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

graphic1:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

graphic2:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

graphic3:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

hello1:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

hello2:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..


hello3:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..


hit_test:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

mdi:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   

menu0:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   

menu1:
   cd $*
   $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
   cd ..
   

menu_dbl:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

popmenu:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

popmenu1:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

print:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  
resource:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

scroll:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..

  
scrolwin:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

sharemdl:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

stddlg:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

textedit:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

track:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

txteditr:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  
visobjs:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

wait:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  

window:
  cd $*
  $(MAKE) -fborlandc.mak -D$(YACLPLATFORM) $(USEDLL)
  cd ..
  


clean:
    -@for %f in ( $(DEMO1) ) do del %f\*.obj
    -@for %f in ( $(DEMO1) ) do del %f\*.exe
    -@for %f in ( $(DEMO1) ) do del %f\*.map
    -@for %f in ( $(DEMO1) ) do del %f\*.res
    -@for %f in ( $(DEMO2) ) do del %f\*.obj
    -@for %f in ( $(DEMO2) ) do del %f\*.exe
    -@for %f in ( $(DEMO2) ) do del %f\*.map
    -@for %f in ( $(DEMO2) ) do del %f\*.res
    -@for %f in ( $(DEMO3) ) do del %f\*.obj
    -@for %f in ( $(DEMO3) ) do del %f\*.exe
    -@for %f in ( $(DEMO3) ) do del %f\*.map
    -@for %f in ( $(DEMO3) ) do del %f\*.res
    -@for %f in ( $(DEMO4) ) do del %f\*.obj
    -@for %f in ( $(DEMO4) ) do del %f\*.exe
    -@for %f in ( $(DEMO4) ) do del %f\*.map
    -@for %f in ( $(DEMO4) ) do del %f\*.res
    -@for %f in ( $(DEMO5) ) do del %f\*.obj
    -@for %f in ( $(DEMO5) ) do del %f\*.exe
    -@for %f in ( $(DEMO5) ) do del %f\*.map
    -@for %f in ( $(DEMO5) ) do del %f\*.res

    
