

include $(YACLPATH)/control/gnuwin32.ctl

LIBRARY = $(YACLLIB)/lib$(BASE).a
MEMLIB  = $(YACLLIB)/lib$(MEMORY).a


#
# Comment out the following if you don't want the object code
# optimized:
#
# OPTIMIZE = -O3


OBJECTS =    \
bitset.o   \
bytarray.o \
bytestrm.o \
bytstrng.o \
clntset.o  \
date.o     \
error.o    \
genseq.o   \
gbtree.o   \
integer.o  \
intseq.o   \
intset.o   \
map.o      \
object.o   \
objseq.o   \
objset.o   \
regexpr.o  \
segseq.o   \
stream.o   \
strgseq.o  \
strgset.o  \
string.o   \
strsplit.o \
tbtree.o   \
timeofda.o \
tree.o     \
treewalk.o \
version.o



.SUFFIXES:

.SUFFIXES: .cxx .o .a


.cxx.o:
	$(CC) $(CCOPTS) $(PIC)  $*.cxx
        


all: base mem



base: $(OBJECTS)
	ar r $(LIBRARY) $(OBJECTS) $(STATIC_OBJS)
	ranlib $(LIBRARY)


bitset.o: bitset.cxx


mem: memory.o
	ar r $(MEMLIB) memory.o
	ranlib $(MEMLIB)

        
memory.o: memory.cxx
	$(CC) $(CCOPTS) $(OPTIMIZE) $*.cxx

                
        


bitset.o: bitset.cxx

bytarray.o: bytarray.cxx

bytestrm.o: bytestrm.cxx

bytstrng.o: bytstrng.cxx

clntset.o: clntset.cxx

date.o: date.cxx

error.o: error.cxx

genseq.o: genseq.cxx

gbtree.o: gbtree.cxx

integer.o: integer.cxx

intseq.o: intseq.cxx

intset.o: intset.cxx

map.o: map.cxx

object.o: object.cxx

objseq.o: objseq.cxx

objset.o: objset.cxx

regexpr.o: regexpr.cxx

segseq.o: segseq.cxx

stream.o: stream.cxx

strgseq.o: strgseq.cxx

strgset.o: strgset.cxx

string.o: string.cxx

strsplit.o: strsplit.cxx

tbtree.o: tbtree.cxx

timeofda.o: timeofda.cxx

tree.o: tree.cxx

treewalk.o: treewalk.cxx

version.o: version.cxx
        

clean:
	-rm -f *.o  $(LIBRARY) $(MEMLIB) $(BASE_SO)
