


!include ../../control\borlandc.ctl

.cxx.obj:
    $(CC) $(DEBUG)  @&&|
$(CCOPTS)
|  $<

APPNAME = resource
OBJECTS = main.obj menudrv.obj

$(APPNAME).EXE: $(OBJECTS) $(APPNAME).RES $(UILIB) $(WINBASELIB) $(APPNAME).def
    $(LINK)  $(LNKOPTS)  -L$(LIB) @&&|
$(C0OBJ) $(OBJECTS) $(YACLLIB)\mainprog
$(APPNAME).exe
$(APPNAME)
$(LNKLIB)
$(APPNAME).def
|
    $(RC) $(RCFLAGS) $(APPNAME).res $(APPNAME).exe
    -del $(APPNAME).def


$(APPNAME).res: $(YACLPLATFORM).rc
    $(RC) -i$(INCLUDE) -r $(YACLPLATFORM).rc
    ren $(YACLPLATFORM).res $(APPNAME).res
    
    


clean:
	rm -f *.obj *.map *.res *.exe





!if $(YACLPLATFORM) == WINDOWS
$(APPNAME).def:
    copy &&|
NAME    YACL	
EXETYPE		WINDOWS
STUB	'WINSTUB.EXE'
CODE	PRELOAD MOVEABLE DISCARDABLE
DATA	PRELOAD MOVEABLE MULTIPLE
STACKSIZE	5120
HEAPSIZE        8192
| $(APPNAME).def

!elif $(YACLPLATFORM) == WIN32
$(APPNAME).def:
    copy &&|
NAME    YACL	
EXETYPE		WINDOWS
STUB	'WINSTUB.EXE'
CODE	PRELOAD MOVEABLE DISCARDABLE
DATA	PRELOAD MOVEABLE MULTIPLE
STACKSIZE	32000
HEAPSIZE        128000
| $(APPNAME).def

!elif $(YACLPLATFORM) == OS2
$(APPNAME).def:
    copy &&|
NAME          YACL   WINDOWAPI
DESCRIPTION   'YACL Sample Program'
DATA          MULTIPLE
STACKSIZE     32000
HEAPSIZE      32000
PROTMODE
| $(APPNAME).def

!endif
